Subject: bug#78890: 31.0.50; Messy vc-annotate buffer names

From: Sean Whitton <[email-masked]>
Date: Fri, 27 Jun 2025 21:11:38 +0100

Hello,

On Fri 27 Jun 2025 at 10:16am -07, Jim Porter wrote:

> On 6/27/2025 4:11 AM, Sean Whitton wrote:
>> How about this (whitespace-only changes filtered out):
>
> By inspection, this seems reasonable enough to me. Without some new uniquify
> functions, I suppose we can't get a perfect solution here.

Thanks for the feedback.  I'll test and install it.

> (Maybe not even *with* them either; how would we keep the Annotate
> buffer name in sync with the parent buffer name when its uniquified
> name updates?).

Well, quite.

> My main pet peeve is just that long buffer names are harder to read when their
> window is only 80 columns, and I use 80 column windows pretty much
> exclusively.
>
> (That said, the "git blame" annotations are also problematic with 80 column
> windows, but that's a somewhat separate issue. I've been mulling around the
> idea of using some fontification to optionally hide less-interesting parts of
> the annotation.)

I understand.  Your patch in the other bug will help.

-- 
Sean Whitton